%global srcname tpm2-pytss

# open this flag in the future
%bcond_with testsuite

Summary:       TPM 2.0 TSS Bindings for Python
Name:          python-%{srcname}
Version:       2.1.0
Release:       1%{?dist}
License:       BSD-2-Clause
URL:           https://github.com/tpm2-software/tpm2-pytss
Source:        %{pypi_source %{srcname}}

Patch3001:     python-tpm2-pytss-1.2.0-openssl.patch

BuildRequires: python3-devel python3-pytest python3-pytest-xdist tpm2-tss-devel gcc

%if %{with testsuite}
BuildRequires: swtpm tpm2-tools
%endif

%description
TPM2 TSS Python bindings for Enhanced System API (ESYS), Feature API (FAPI), Marshaling (MU),
TCTI Loader (TCTILdr) and RC Decoding (rcdecode) libraries. It also contains utility methods
for wrapping keys to TPM 2.0 data structures for importation into the TPM, unwrapping keys
and exporting them from the TPM, TPM-less makecredential command and name calculations, TSS2
PEM Key format support, importing Keys from PEM, DER and SSH formats, conversion from tpm2-tools
based command line strings and loading tpm2-tools context files.

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname}
TPM2 TSS Python bindings for Enhanced System API (ESYS), Feature API (FAPI), Marshaling (MU),
TCTI Loader (TCTILdr) and RC Decoding (rcdecode) libraries. It also contains utility methods
for wrapping keys to TPM 2.0 data structures for importation into the TPM, unwrapping keys
and exporting them from the TPM, TPM-less makecredential command and name calculations, TSS2
PEM Key format support, importing Keys from PEM, DER and SSH formats, conversion from tpm2-tools
based command line strings and loading tpm2-tools context files.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files tpm2_pytss

%check
%if %{with testsuite}
%pyproject_check_import
%pytest --import-mode=append -k "not test_tools_decode_tpms_nv_public" -n %{_smp_build_ncpus}
%endif

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md

%changelog
* Mon Sep 25 2023 Shuo Wang <abushwang@tencent.com> - 2.1.0-1
- update to 2.1.0

* Wed Sep 20 2023 Wang Guodong <gordonwwang@tencent.com> - 1.2.0-7
- Rebuilt for python-pytest-forked

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-6
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 18 2023 cunshunxia <cunshunxia@tencent.com> - 1.2.0-4
- Rebuilt for tpm2-tss 4.0.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 21 2022 Shuo Wang <abushwang@tencent.com> - 1.2.0-1
- initial build
